Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.cluster.singleton
Interface MigrationData

All Superinterfaces:
  Serializable

    public interface MigrationData

extends Serializable

Information about one ongoing or completed migration.

Field Summary
`static int` | `FAILED` Indicates failed migration.
`static int` | `IN_PROGRESS` Indicates a migration in progress.
`static int` | `SUCCEEDED` Indicates successful migration.

Method Summary
`String` | `getClusterMasterName()` Name of the server that acted as the cluster master for this migration.
`String` | `getClusterName()` Name of the server that acted as the cluster master for this migration.
`String` | `getMachineMigratedFrom()` Machine from which the server was migrated from
`String` | `getMachineMigratedTo()` Machine to which the server was migrated to or is in the process of being migrated to.
`long` | `getMigrationEndTime()` End time of migration
`long` | `getMigrationStartTime()` Start time of migration
`String` | `getServerName()` Name of the server migrated
`int` | `getStatus()` Name of the server migrated

Field Detail

### SUCCEEDED

    static final int SUCCEEDED

  Indicates successful migration.

  See Also:
    Constant Field Values

### IN_PROGRESS

    static final int IN_PROGRESS

  Indicates a migration in progress.

  See Also:
    Constant Field Values

### FAILED

    static final int FAILED

  Indicates failed migration.

  See Also:
    Constant Field Values

Method Detail

### getServerName

    String getServerName()

  Name of the server migrated

### getStatus

    int getStatus()

  Name of the server migrated

### getMachineMigratedFrom

    String getMachineMigratedFrom()

  Machine from which the server was migrated from

### getMachineMigratedTo

    String getMachineMigratedTo()

  Machine to which the server was migrated to or is in the process of being migrated to.

### getMigrationStartTime

    long getMigrationStartTime()

  Start time of migration

### getMigrationEndTime

    long getMigrationEndTime()

  End time of migration

### getClusterName

    String getClusterName()

  Name of the server that acted as the cluster master for this migration.

### getClusterMasterName

    String getClusterMasterName()

  Name of the server that acted as the cluster master for this migration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD